Subject: [netmod] [Technical Errata Reported] RFC7950 (4794)

From: RFC Errata System <[email-masked]>
Date: Fri, 2 Sep 2016 04:18:49 -0700 (PDT)

The following errata report has been submitted for RFC7950,
"The YANG 1.1 Data Modeling Language".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7950&eid=4794

--------------------------------------
Type: Technical
Reported by: Ladislav Lhotka <[email-masked]>

Section: 7.21.5

Original Text
-------------
   o  If the "when" statement is a child of an "augment" statement, then
      the context node is the augment's target node in the data tree, if
      the target node is a data node.  Otherwise, the context node is
      the closest ancestor node to the target node that is also a data
      node.  If no such node exists, the context node is the root node.
      The accessible tree is tentatively altered during the processing
      of the XPath expression by removing all instances (if any) of the
      nodes added by the "augment" statement.

Corrected Text
--------------
   o  If the "when" statement is a child of an "augment" statement, then
      the context node is the augment's target node in the data tree, if
      the target node is a data node, rpc, action or notification.
      Otherwise, the context node is the closest ancestor node to the
      target node that is also a data node, rpc, action or notification.
      If no such node exists, the context node is the root node. The
      accessible tree is tentatively altered during the processing of
      the XPath expression by removing all instances (if any) of the
      nodes added by the "augment" statement.

Notes
-----
If the target node of an "augment" is inside an rpc, action or notification, the context node also needs to be inside that rpc, action or notification. For example, if the target node is the "input" node of an action, the context node should be the action node, not the data node for which the action is defined as the original text implies. This is also in accordance with the definition of the accessible tree in Sec. 6.4.1.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 05 Sep 2016 12:38:32 +0200 (CEST)

> "The YANG 1.1 Data Modeling Language".

This errata should be accepted, with the only change of replacing
"rpc" with "RPC" in the suggested text.

/martin

> 
> 
> Notes
> -----
> If the target node of an "augment" is inside an rpc, action or
> notification, the context node also needs to be inside that rpc,
> action or notification. For example, if the target node is the "input"
> node of an action, the context node should be the action node, not the
> data node for which the action is defined as the original text
> implies. This is also in accordance with the definition of the
> accessible tree in Sec. 6.4.1.
> 
> Instructions:
> -------------

---

From: Ladislav Lhotka <[email-masked]>
Date: Mon, 5 Sep 2016 12:52:36 +0200

> On 05 Sep 2016, at 12:38, Martin Bjorklund <[email-masked]> wrote:
> 

I was considering both options, and lowercase is IMO more appropriate. Sec. 7.14 says:

    The "rpc" statement defines an rpc node in the schema tree.

It is exactly the rpc node in the schema tree that's important here, not an RPC operation as such. Perhaps the most precise formulation would be "… that is also a data node, rpc node, action node or notification node", but this seems too verbose.

Lada

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C